Bug 1567486 - [abrt] ksysguard: operator==(): ksysguard killed by SIGSEGV
Summary: [abrt] ksysguard: operator==(): ksysguard killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ksysguard
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1558b381e05be7895db8924c107...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 06:38 UTC by Max
Modified: 2018-11-30 21:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:41:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.65 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: core_backtrace (14.85 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: dso_list (22.28 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: environ (1.83 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: maps (102.71 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: mountinfo (4.02 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: open_fds (1.20 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-14 06:38 UTC, Max
no flags Details

Description Max 2018-04-14 06:38:46 UTC
Version-Release number of selected component:
ksysguard-5.12.4-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/ksysguard
crash_function: operator==
executable:     /usr/bin/ksysguard
journald_cursor: s=4ae268fb54104f00bb866ad1b0321908;i=d17e1;b=ee2f4c68668044868033df2230c8421c;m=17da0c6603;t=569c91c1d319d;x=4b4c1db77f20ced6
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator== at tools/qstring.cpp:2789
 #1 QLabel::setText at widgets/qlabel.cpp:287
 #2 TopLevel::answerReceived at /usr/src/debug/ksysguard-5.12.4-1.fc27.x86_64/gui/ksysguard.cpp:446
 #3 KSGRD::SensorAgent::processAnswer at /usr/src/debug/libksysguard-5.12.4-1.fc27.x86_64/ksgrd/SensorAgent.cpp:187
 #4 KSGRD::SensorShellAgent::msgRcvd at /usr/src/debug/libksysguard-5.12.4-1.fc27.x86_64/ksgrd/SensorShellAgent.cpp:94
 #5 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
 #6 QMetaObject::activate at kernel/qobject.cpp:3749
 #8 QProcess::readyReadStandardOutput at .moc/moc_qprocess.cpp:362
 #9 QProcessPrivate::tryReadFromChannel at io/qprocess.cpp:1074
 #10 QProcessPrivate::_q_canReadStandardOutput at io/qprocess.cpp:1085

Potential duplicate: bug 1361951

Comment 1 Max 2018-04-14 06:38:49 UTC
Created attachment 1421692 [details]
File: backtrace

Comment 2 Max 2018-04-14 06:38:50 UTC
Created attachment 1421693 [details]
File: cgroup

Comment 3 Max 2018-04-14 06:38:51 UTC
Created attachment 1421694 [details]
File: core_backtrace

Comment 4 Max 2018-04-14 06:38:52 UTC
Created attachment 1421695 [details]
File: cpuinfo

Comment 5 Max 2018-04-14 06:38:53 UTC
Created attachment 1421696 [details]
File: dso_list

Comment 6 Max 2018-04-14 06:38:53 UTC
Created attachment 1421697 [details]
File: environ

Comment 7 Max 2018-04-14 06:38:54 UTC
Created attachment 1421698 [details]
File: exploitable

Comment 8 Max 2018-04-14 06:38:55 UTC
Created attachment 1421699 [details]
File: limits

Comment 9 Max 2018-04-14 06:38:56 UTC
Created attachment 1421700 [details]
File: maps

Comment 10 Max 2018-04-14 06:38:57 UTC
Created attachment 1421701 [details]
File: mountinfo

Comment 11 Max 2018-04-14 06:38:58 UTC
Created attachment 1421702 [details]
File: open_fds

Comment 12 Max 2018-04-14 06:38:58 UTC
Created attachment 1421703 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 15:39:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:41:05 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.